set linesize 32000
set pagesize 1000
set echo on
set termout on
set trimspool on
set timing on

spool bug5689608testcase.log

SELECT sid FROM V$SESSION
WHERE audsid = userenv('sessionid');
 
drop table test; 
 
CREATE TABLE TEST AS SELECT * FROM DBA_OBJECTS; 
     
create or replace package cursor_package as
cursor mycursor is select * from test order by object_name;
end;
/
       
begin
 open cursor_package.mycursor;
end;
/
 
create or replace procedure test_case is
l_row TEST%rowtype;
begin
if cursor_package.mycursor%isopen then
fetch cursor_package.mycursor into l_row;
end if;
end;
/

select * from v$session_event 
where sid=
(SELECT sid from v$session where audsid=USERENV('SESSIONID')) and
event='virtual circuit wait';

exec test_case;

select * from v$session_event 
where sid=
(SELECT sid from v$session where audsid=USERENV('SESSIONID')) and
event='virtual circuit wait';

host sleep 5

select * from v$session_event 
where sid=
(SELECT sid from v$session where audsid=USERENV('SESSIONID')) and
event='virtual circuit wait';

begin
 close cursor_package.mycursor;
end;
/

host sleep 5

select * from v$session_event 
where sid=
(SELECT sid from v$session where audsid=USERENV('SESSIONID')) and
event='virtual circuit wait';

spool off
